Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

Get a container registry

Returns a container registry.

GET/container-registry/{container_registry_id}
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Path parameters
container_registry_iduuidrequired

The unique identifier for the container registry

Query parameters
filter[with_deleted]boolean

Include deleted instances

default: false
Responses
200

Container registry retrieved successfully

iduuidrequired

A universally unique identifier (UUID) string

organization_iduuidrequired

A universally unique identifier (UUID) string

s_idstringrequired

Short identifier for the container registry resource.

namestringrequired

Name of the container registry.

descriptionstring

Optional container registry description.

typecontainer_registry_typerequired

Container registry type.

Allowed:STANDARDECRGCP_ARTIFACT_REGISTRYSCALEWAY
configurationcontainer_registry_configurationrequired
Show properties
urlstringrequired

Public registry URL.

regionstring

Registry region when the provider exposes one.

role_arnstring

Optional AWS IAM role ARN for ECR access.

created_atstring<date-time>required

Timestamp when the container registry was created.

updated_atstring<date-time>required

Timestamp when the container registry was last updated.

deleted_atstring<date-time> | null

Timestamp when the container registry was deleted.

default

Error

codeinteger<int32>required
messagestringrequired
reasonstring

Optional stable machine-readable reason for programmatic error handling

Request
curl -X GET 'https://api.kapten.io/container-registry/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
  "s_id": "string",
  "name": "string",
  "description": "string",
  "type": "STANDARD",
  "configuration": {
    "url": "string",
    "region": "string",
    "role_arn": "string"
  },
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "deleted_at": "2019-08-24T14:15:22Z"
}

Was this page helpful?